Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13965/?format=api
{ "ob_id": 13965, "uuid": "424899d0f5434260bbcaef4569f57687", "title": "SOLAS: NAME back trajectory images at Cape Verde Observatory (2009)", "abstract": "Data from observations made at the The Cape Verde Atmospheric Observatory (16.848N, 24.871W) which exists to advance understanding of climatically significant interactions between the atmosphere and ocean and to provide a regional focal point and long-term data. The observatory is based on Calhau Island of São Vicente, Cape Verde in the tropical Eastern North Atlantic Ocean, a region which is data poor but plays a key role in atmosphere-ocean interactions of climate-related and biogeochemical parameters including greenhouse gases. It is an open-ocean site that is representative of a region likely to be sensitive to future climate change, and is minimally influenced by local effects and intermittent continental pollution. The dataset contains SOLAS NAME back trajectory images.", "keywords": "Cape Verde, SOLAS", "publicationState": "published", "dataPublishedTime": "2010-03-30T08:00:14", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13966/?format=api", "dataPath": "/badc/solas/data/capeverde/NAME_backtrajectory_images", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 39121173, "numberOfFiles": 481, "fileFormat": "Images are png formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3734/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/12/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected at Cape Verde Atmospheric Observatory before being transmitted back to UK where NCAS staff prepare data for archiving at BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5010/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/872/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53602/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53601/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53600/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53603/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53604/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53606/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53599/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53623/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13967/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }